declare @my_article varchar(max), @my_publication varchar(max), @my_subscriber varchar(max), @ri_db varchar(max)
declare @ins_proc varchar(max), @upd_proc varchar(max), @del_proc varchar(max), @init bit, @my_sync_type varchar(max)


/*PARAMETERS*/
set @init = 0 -- 0 = NIET Initieel, 1 = Initieel.
set @my_publication = 'RERI Steegenga_250_ERM'
--set @my_article = 'Steegenga Mode$RetData Aggregation Setup'
set @my_subscriber = 'ri-server\aca'
set @ri_db = 'NA_Steegenga_250_ERM'


set @my_sync_type = 'replication support only'
if @init = 1
begin
	set @my_sync_type = 'automatic'
end

declare @refresh bit
set @refresh = 0

declare art_cur cursor for
select a.[article] from [anaArticles] a
UNION ALL
select 
	c.[Name] + '$' + a.[article] as [article table] 
from 
	[anaArticles] a
cross join
	[anaCompany] c

open art_cur
fetch next from art_cur into @my_article
while @@fetch_status = 0
begin
	if not exists (select * from sysobjects where id = object_id(@my_article))
	begin
		fetch next from art_cur into @my_article
		continue
	end
	
	/*ADD ARTICLE*/
	if not exists (select * from sysarticles where [dest_table] = @my_article)
	begin
		print 'Add article [' + @my_article + ']'
	
		set @ins_proc = 'CALL sp_repl_ins_' + @my_article
		set @upd_proc = 'SCALL sp_repl_upd_' + @my_article
		set @del_proc = 'CALL sp_repl_del_' + @my_article
		exec sp_addarticle @publication = @my_publication, @article = @my_article, @source_owner = N'dbo', @source_object = @my_article, @type = N'logbased', @description = N'', @creation_script = N'', @pre_creation_cmd = N'drop', @schema_option = 0x0000000008034097, @identityrangemanagementoption = N'manual', @destination_table = @my_article, @destination_owner = N'dbo', @status = 24, @vertical_partition = N'false', @ins_cmd = @ins_proc, @del_cmd = @del_proc, @upd_cmd = @upd_proc--, @force_invalidate_snapshot = N'1'

		if @init = 0
		begin
			exec sp_addsubscription @publication = @my_publication, @subscriber = @my_subscriber, @destination_db = @ri_db, @subscription_type = N'Push', @sync_type = @my_sync_type, @article = @my_article, @update_mode = N'read only', @subscriber_type = 0
		end
		
		set @refresh = 1
	end

	fetch next from art_cur into @my_article
end
close art_cur
deallocate art_cur

if @refresh = 1
begin
	if exists (select * from syssubscriptions)
	begin
		print 'refresh subscriptions'
		exec sp_refreshsubscriptions @publication = @my_publication
	end
end

