select

	lts.[Item No_]
	, lts.[Variant Code]
	, isnull(nullif(iv.[ACAVertical Component], ''), '(Overige)') as [ACAVertical Component]
	, isnull(nullif(iv.[ACAHorizontal Component], ''), '(Overige)') as [ACAHorizontal Component]
	, isnull(nullif(ivc.[Description], ''), '(Overige)') AS [Kleur]
	, isnull(nullif(ihc.[Description], ''), '(Overige)') AS [Maat]
	, [Inkw Voorraad]
	, [EVRD]

from
(

select 
	[Item No_]
	, [Variant Code]
	, cast(sum([tallied Cost Amount]) as money) as [Inkw Voorraad]
	, sum([tallied Quantity]) as [EVRD]
from
	[fact LTS]
where
	[LTSID] = '99'
group by
	[Item No_]
	, [Variant Code]

)lts

left join
	[All$Item Variant] iv on
		lts.[Variant Code] = iv.[Code]
		and lts.[Item No_] = iv.[Item No_]

left join
	[All$ACAItem Vert Component] AS ivc ON 
		iv.[Item No_] = ivc.[Item No_] 
		and iv.[ACAVertical Component] = ivc.[Code]
left join
	[ana$All$ACAItem Horz Component] AS ihc ON 
		iv.[Item No_] = ihc.[Item No_] 
		and iv.[ACAHorizontal Component] = ihc.[Code]

where 
	[EVRD] < 0
order by 
	1, 2